Bug 1419581 - dmesg kernel failure at drivers/base/dd.c:349 driver_probe_device
Summary: dmesg kernel failure at drivers/base/dd.c:349 driver_probe_device
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 14:57 UTC by John Bieren
Modified: 2019-01-09 12:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-06 18:32:08 UTC
Type: Bug


Attachments (Terms of Use)

Description John Bieren 2017-02-06 14:57:49 UTC
Description of problem:
Installing the latest rawhide fedora distro gives a dmesg_check failure for  drivers/base/dd.c:349 driver_probe_device+0x369/0x450


Version-Release number of selected component (if applicable):
4.10.0-0.rc6.git0.1.fc26.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Provision latest fedora distro on hardware with i2c_amd756 module
2.
3.

Actual results:
[   12.217767] ------------[ cut here ]------------ 
[   12.217776] WARNING: CPU: 4 PID: 691 at drivers/base/dd.c:349 driver_probe_device+0x369/0x450 
[   12.217777] Modules linked in: i2c_amd756(+) k8temp(+) shpchp(+) amd_rng acpi_cpufreq tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c tg3 ptp ata_generic pata_acpi serio_raw cciss pps_core pata_amd fjes 
[   12.217797] CPU: 4 PID: 691 Comm: systemd-udevd Not tainted 4.10.0-0.rc6.git0.1.fc26.x86_64 #1 
[   12.217798] Hardware name: HP ProLiant DL585 G1, BIOS A01 02/14/2007 
[   12.217799] Call Trace: 
[   12.217807]  dump_stack+0x63/0x84 
[   12.217810]  __warn+0xcb/0xf0 
[   12.217813]  warn_slowpath_null+0x1d/0x20 
[   12.217814]  driver_probe_device+0x369/0x450 
[   12.217816]  __driver_attach+0xa4/0xe0 
[   12.217817]  ? driver_probe_device+0x450/0x450 
[   12.217821]  bus_for_each_dev+0x6e/0xb0 
[   12.217822]  driver_attach+0x1e/0x20 
[   12.217823]  bus_add_driver+0x1d0/0x270 
[   12.217825]  ? 0xffffffffc003d000 
[   12.217827]  driver_register+0x60/0xe0 
[   12.217828]  ? 0xffffffffc003d000 
[   12.217831]  __pci_register_driver+0x4c/0x50 
[   12.217835]  amd756_driver_init+0x1e/0x1000 [i2c_amd756] 
[   12.217838]  do_one_initcall+0x50/0x1a0 
[   12.217840]  ? kfree+0xc5/0x170 
[   12.217842]  ? kmem_cache_alloc_trace+0x99/0x1c0 
[   12.217844]  ? do_init_module+0x27/0x1e6 
[   12.217845]  do_init_module+0x5f/0x1e6 
[   12.217848]  load_module+0x226b/0x27e0 
[   12.217850]  ? __symbol_put+0x60/0x60 
[   12.217852]  SYSC_init_module+0x16f/0x1a0 
[   12.217854]  SyS_init_module+0xe/0x10 
[   12.217856]  do_syscall_64+0x67/0x170 
[   12.217859]  entry_SYSCALL64_slow_path+0x25/0x25 
[   12.217860] RIP: 0033:0x7f1d29d1beea 
[   12.217861] RSP: 002b:00007ffd471df688 EFLAGS: 00000246 ORIG_RAX: 00000000000000af 
[   12.217863] RAX: ffffffffffffffda RBX: 0000556b1efc82b0 RCX: 00007f1d29d1beea 
[   12.217864] RDX: 00007f1d2a851975 RSI: 0000000000004af3 RDI: 0000556b1ef45a00 
[   12.217865] RBP: 00007f1d2a851975 R08: 0000556b1efc84b0 R09: 0000000000000000 
[   12.217865] R10: 0000000000000000 R11: 0000000000000246 R12: 0000556b1ef45a00 
[   12.217866] R13: 0000556b1ef4d640 R14: 0000000000020000 R15: 0000556b1efc82b0 
[   12.217868] ---[ end trace 253968af4332cfa5 ]--- 


Expected results:
No dmesg_check failure


Additional info:

Comment 2 Scott Wood 2017-04-25 18:56:33 UTC
This should be fixed by upstream commit 69db7009318758769d625b023402161c750f7876 ("hwrng: amd - Revert managed API changes").


Note You need to log in before you can comment on or make changes to this bug.